Bug 177444 - [update] www/mod_auth_openid: Update to 0.7
Summary: [update] www/mod_auth_openid: Update to 0.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-28 16:40 UTC by Andrii Radyk
Modified: 2013-04-20 20:30 UTC (History)
0 users

See Also:


Attachments
file.diff (933 bytes, patch)
2013-03-28 16:40 UTC, Andrii Radyk
no flags Details | Diff
patch_01.txt (939 bytes, text/plain; charset=US-ASCII)
2013-03-28 16:55 UTC, Andrii Radyk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrii Radyk 2013-03-28 16:40:00 UTC

    
Comment 1 Edwin Groothuis freebsd_committer 2013-03-28 16:40:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->apache

apache@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-03-28 16:40:10 UTC
Maintainer of www/mod_auth_openid,

Please note that PR ports/177444 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177444

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-03-28 16:40:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Andrii Radyk 2013-03-28 16:55:27 UTC
Here is a new patch attached with a master site bug fixed.
Comment 5 Sutra 2013-04-07 22:40:37 UTC
Please commit and update the WWW in pkg-descr please:

Index: pkg-descr
===================================================================
--- pkg-descr   (revision 315749)
+++ pkg-descr   (working copy)
@@ -2,4 +2,4 @@
 It handles the functions of an OpenID consumer as specified in the OpenID
 2.0 specification.

-WWW: http://trac.butterfat.net/public/mod_auth_openid
+WWW: http://findingscience.com/mod_auth_openid/


On Fri, Mar 29, 2013 at 5:40 AM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of www/mod_auth_openid,
>
> Please note that PR ports/177444 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/177444
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 6 Olli Hauer freebsd_committer 2013-04-20 20:15:05 UTC
Responsible Changed
From-To: apache->ohauer

I'll take it
Comment 7 dfilter service freebsd_committer 2013-04-20 20:21:38 UTC
Author: ohauer
Date: Sat Apr 20 19:21:29 2013
New Revision: 316165
URL: http://svnweb.freebsd.org/changeset/ports/316165

Log:
  - update to version 0.7
  - reflect new MASTER_SITE and WWW
  
  Version 0.7
    Fixed issue #13 - issue with handling POST data
    Fixed issue #10 - curl_unescape deprecated / libcurl doesn't unescape '+' as a space
    Fixed "configure: error: conditional "DEBUG" was never defined." message when running autogen.sh.
    Single OP mode
    Set HttpOnly on session-scoped cookies too
    Can now validate AX attrs by regex
    Added AuthOpenIDSecureCookie directive to limit session cookie retrieval to HTTPS connections
    Implemented AuthOpenIDAXUsername and AuthOpenIDSecureCookie
    Described functionality of AuthOpenIDSingleIdP, AuthOpenIDAXRequire, AuthOpenIDAXUsername, AuthOpenIDSecureCookie
    Fixed security vulnerability - sqlite DB should not be world readable
  
  New bugtracker URL:
    http://github.com/bmuller/mod_auth_openid/issues
  
  Feature safe: yes
  
  PR:		ports/177444
  Submitted by: 	Ander <ander@angels.org.ua>
  Approved by:	Sutra Zhou <zhoushuqun@gmail.com> (maintainer)

Modified:
  head/www/mod_auth_openid/Makefile
  head/www/mod_auth_openid/distinfo
  head/www/mod_auth_openid/pkg-descr

Modified: head/www/mod_auth_openid/Makefile
==============================================================================
--- head/www/mod_auth_openid/Makefile	Sat Apr 20 19:07:00 2013	(r316164)
+++ head/www/mod_auth_openid/Makefile	Sat Apr 20 19:21:29 2013	(r316165)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	mod_auth_openid
-PORTVERSION=	0.6
-PORTREVISION=	1
+PORTVERSION=	0.7
 CATEGORIES=	www
-MASTER_SITES=	http://butterfat.net/releases/mod_auth_openid/
+MASTER_SITES=	http://cloud.github.com/downloads/bmuller/mod_auth_openid/
 PKGNAMEPREFIX=	${APACHE_PKGNAMEPREFIX}
 
 MAINTAINER=	zhoushuqun@gmail.com

Modified: head/www/mod_auth_openid/distinfo
==============================================================================
--- head/www/mod_auth_openid/distinfo	Sat Apr 20 19:07:00 2013	(r316164)
+++ head/www/mod_auth_openid/distinfo	Sat Apr 20 19:21:29 2013	(r316165)
@@ -1,2 +1,2 @@
-SHA256 (mod_auth_openid-0.6.tar.gz) = 79e7ca52511d12309ccc3f390255eaade345dcf5959410d352797a22dab6c17b
-SIZE (mod_auth_openid-0.6.tar.gz) = 328713
+SHA256 (mod_auth_openid-0.7.tar.gz) = 58cb927121d39557a3593b10db8c960440295fb49cddf8120d6a5b521877ed4c
+SIZE (mod_auth_openid-0.7.tar.gz) = 352757

Modified: head/www/mod_auth_openid/pkg-descr
==============================================================================
--- head/www/mod_auth_openid/pkg-descr	Sat Apr 20 19:07:00 2013	(r316164)
+++ head/www/mod_auth_openid/pkg-descr	Sat Apr 20 19:21:29 2013	(r316165)
@@ -2,4 +2,4 @@ mod_auth_openid is an authentication mod
 It handles the functions of an OpenID consumer as specified in the OpenID
 2.0 specification.
 
-WWW: http://trac.butterfat.net/public/mod_auth_openid
+WWW: http://findingscience.com/mod_auth_openid/
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Olli Hauer freebsd_committer 2013-04-20 20:22:40 UTC
State Changed
From-To: feedback->closed

Committed, 
Thanks!